## nlopt 0.1.1

=== DESCRIPTION ===
Package: nlopt
Type: Package
Title: Call Optimization Solvers with .nl Files
Version: 0.1.1
Authors@R: c(person(given="Brais",family="Gonzalez-Rodriguez",email="braisgonzalez.rodriguez@usc.es",role=c("aut","cre")))
Description: The purpose of this library is to to call different optimization solvers (such as Gonzalez Rodriguez et al. (2022) <doi:10.1007/s10898-022-01229-w>, Tawarmalani and Sahinidis (2005) <doi:10.1007/s10107-005-0581-8>, and Byrd et al. (2006) <doi:10.1007/0-387-30065-1_4>) to solve problems given by a standard nl file.
License: GPL-3
Language: en-US
Imports: stringr
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-11-17 12:16:59 UTC; brais
Author: Brais Gonzalez-Rodriguez [aut, cre]
Maintainer: Brais Gonzalez-Rodriguez <braisgonzalez.rodriguez@usc.es>
Repository: CRAN
Date/Publication: 2023-11-17 20:00:05 UTC
