## nlopt 2.2.4+dfsg

=== debian/changelog ===
nlopt (2.2.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #610623)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 07 Jun 2011 23:42:16 +0200
