=== debian/control ===
Source: nlopt
Section: devel
Priority: extra
Maintainer: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: quilt, debhelper (>= 8), autotools-dev, libtool, automake,
 gcc (>= 4.2), g++ (>= 4.2), octave-pkg-dev (>= 0.7.0), 
 python-all-dev (>= 2.6.6-3~), python-numpy, 
 guile-1.8, guile-1.8-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/nlopt
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt

Package: libnlopt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.

Package: libnlopt-dev
Architecture: any
Section: libdevel
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: nonlinear optimization library - development files
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains development files of nlopt.

Package: python-nlopt
Architecture: any
Section: python
X-Python-Version: ${python:Versions}
Depends: libnlopt0, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: python bindings for nlopt
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains python bindings of nlopt.
 
Package: octave-nlopt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends} 
Description: nlopt for octave
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains nlopt plugins for octave.

Package: libnlopt-guile0
Architecture: any
Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 guile-1.8 
Description: guile plugins for nlopt
 NLopt is a free/open-source library for nonlinear optimization, providing 
 a common interface for a number of different free optimization routines 
 available online as well as original implementations of various other 
 algorithms. Its features include:
 .
    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
    * A common interface for many different algorithms
    * Support for large-scale optimization.
    * Both global and local optimization algorithms.
    * Algorithms using function values only (derivative-free) and also 
    algorithms exploiting user-supplied gradients.
    * Algorithms for unconstrained optimization, bound-constrained optimization, 
    and general nonlinear inequality/equality constraints.
 .
 This package contains nlopt plugins for guile.
