## nlopt 2.3+dfsg

=== debian/changelog ===
nlopt (2.3+dfsg-1ubuntu1) raring; urgency=low

  * Detect Python includes paths using '$PYTHON-config --includes'
    debian/patches.04-python-includes.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 07 Jan 2013 13:12:25 -0700

nlopt (2.3+dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * fix lintian error
  * fix override disparity

  [ Sergey B Kirpichev ]
  * New upstream version (Closes: #682273)
  * Adopt machine-readable debian/copyright file format
  * Add symbols control file for libnlopt.so
  * Provide /usr/share/doc in libnlopt0 package, make symlinks for
    others
  * Simplify debian/rules
  * Reformat debian/control, drop trailing spaces
  * Fix some short/long descriptions
  * Move manpages to libnlopt-dev, add nlopt.pc (Closes: #695659)
  * Drop unused override (revert back "fix lintian error")
  * Add shlibs file for libnlopt0
  * Fix Depends
  * Fix override disparities: change priority to optional and revert
    back Section's for source package and libnlopt0 (revert back "fix
    override disparity")
  * Cleanup debian/README.source
  * Update debian/libnlopt0.symbols for new release
  * Drop get-orig-source target, repackage upstream tarball with uscan

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 12 Dec 2012 13:30:53 +0100

nlopt (2.2.4+dfsg-2) unstable; urgency=low

  [Sergey B Kirpichev]
  * Install libnlopt_guile.so (Closes: #679619)
  * Add multiarch support

  [ Rafael Laboissiere ]
  * debian/rules:
      - Install the .oct file in the appropriate directory (Closes: #679617)

  * Add Sergey B Kirpichev <skirpichev@gmail.com> to Uploaders

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 27 Jun 2012 12:05:11 +0200
