## nlopt 2.4.1+dfsg

=== debian/changelog ===
nlopt (2.4.1+dfsg-1~nd80+1) jessie; urgency=low

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 21 Jan 2014 17:03:48 -0500

nlopt (2.4.1+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #728556)
  * Bump up Standards-Version (to 3.9.5)
  * Change Section to libs for libnlopt-guile0

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 03 Dec 2013 18:19:26 +0400

nlopt (2.4+dfsg-1) unstable; urgency=low

  * New upstream version
  * Fix lintian error: vcs-field-not-canonical
  * Fix permissions on debian/orig-tar.sh
  * Remove patches, applied by upstream
  * Refresh patches for the new upstream release
  * Update debian/libnlopt0.symbols
  * Change octave-nlopt priority to optional (See: #706761)
  * Override lintian error(X) shlib-calls-exit for libnlopt0

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 16 Nov 2013 15:27:46 +0400

nlopt (2.3+dfsg-2) unstable; urgency=low

  [ Tim Gardner ]
  * Add 04-python-includes.patch to detect correct include
    python paths (Closes: #697638)

  [ Sergey B Kirpichev ]
  * Removed debian/docs
  * Drop unused override for octave-nlopt: missing-dependency-on-libc
  * Bump up Standards-Version (to 3.9.4)
  * Ignore shared libraries in nlopt-python (fix postinst/rm-has-
    useless-call-to-ldconfig lintian warning's)

  [ Christophe Trophime ]
  * Updated patches following DEP3 (python-includes.patch,
    configure.patch and swig.patch)

  [ Sergey B Kirpichev ]
  * Added Forwarded: headers for patches 01-03
  * Set octave-nlopt priority (optional -> extra), according to the policy
  * Unfuzz patches with "quilt refresh -pab --no-index
    --no-timestamps --diffstat"
  * Renamed patches (foo_bar.patch -> foo-bar.patch, git-format-patch's
    default naming scheme)
  * Added missing Forwarded: headers for debian/patches/*
  * Point to related bug for python-includes.patch
  * Drop unused override for libnlopt-guile0
  * Fix FTBFS dh_auto_test: error: unable to chdir to
    debian/build (Closes: #718054)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 16 Oct 2013 09:40:44 +0200
