=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: nlopt
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>, Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
- autotools-dev, libtool, automake,
- gcc (>= 4.2), g++ (>= 4.2), octave-pkg-dev (>= 1.0.1), 
- python-all-dev (>= 2.6.6-3~), python-numpy, 
- guile-1.8, guile-1.8-dev
-Standards-Version: 3.9.3
+ autotools-dev, libtool, automake, g++ (>= 4.2), octave-pkg-dev (>= 1.0.1),
+ python-all-dev (>= 2.6.6-3~), python-numpy, guile-1.8, guile-1.8-dev
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/nlopt
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/nlopt
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt
 
 Package: libnlopt0
@@ -20,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: nonlinear optimization library
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -43,7 +41,7 @@
 Package: libnlopt-dev
 Architecture: any
 Section: libdevel
-Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: nonlinear optimization library -- development package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -65,7 +63,7 @@
 Package: python-nlopt
 Architecture: any
 Section: python
-Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: nonlinear optimization library -- Python bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
@@ -86,7 +84,7 @@
 
 Package: octave-nlopt
 Architecture: any
-Depends: libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: nonlinear optimization library -- GNU Octave package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -105,10 +103,11 @@
  This package contains the module for the GNU Octave.
 
 Package: libnlopt-guile0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
+Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
 Description: nonlinear optimization library -- Guile bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
