=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 		xargs strip --strip-unneeded --remove-section=.comment
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib/python2.7/dist-packages
+	dh_makeshlibs $(shell for v in $(PYVERS); do printf -- "-X/usr/lib/python$$v/dist-packages "; done)
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- \
@@ -89,3 +89,9 @@
 	done
 	dh_link
 
+
+override_dh_auto_test:
+	for v in $(PYVERS); do \
+	   dh_auto_test --builddirectory=$(BUILDDIR)$$v \
+	        -- $(extra_flags); \
+	done
