## nlopt 2.4.2%2Bdfsg

=== debian/changelog ===
nlopt (2.4.2+dfsg-8) unstable; urgency=medium

  * Team upload
  * Add missing Depends: libnlopt-cxx0 to libnlopt-cpp-dev
    Closes: #903347
  * Standards-Version: 4.1.5
  * Files-Excluded in d/copyright to document repackaging


 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 08:02:26 +0200

nlopt (2.4.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * libnlopt-cpp-dev actually Depends: libnlopt-dev (not only ibnlopt0)

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 15:35:09 +0200

nlopt (2.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * octave4.4.patch: new patch, fixes FTBFS against Octave 4.4

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Jun 2018 19:51:46 +0200

nlopt (2.4.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Provide C++ interface
    Closes: #855600
  * hardening=+all
  * cme fix dpkg-control
  * Remove ancient Python version field

 -- Andreas Tille <tille@debian.org>  Tue, 29 May 2018 15:57:03 +0200

nlopt (2.4.2+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Build-depend on dh-octave instead of octave-pkg-dev (Closes: #890088)

  [ Sébastien Villemot ]
  * Update Vcs-* fields for salsa.
  * Bump to debhelper compat level 11, simplify debian/rules.
  * Add Testsuite: autopkgtest-pkg-python.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Feb 2018 12:25:27 +0100

nlopt (2.4.2+dfsg-3) unstable; urgency=medium

  [ Afif Elghraoui ]
  * initial upstream branch
  * Imported Upstream version 2.4.2+dfsg

  [ Sergey B Kirpichev ]
  * override_dh_auto_reconf -> override_dh_autoreconf (Closes: #834653)
  * Bump up Standards-Version (to 4.0.0)
  * Set "Multi-Arch: same" for libnlopt-dev and octave-nlopt
  * Fix some spelling warnings from lintian
  * Init .gitignore
  * Adapt Vcs-* fields for Git

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sat, 08 Jul 2017 16:19:35 +0300

nlopt (2.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/p/octave-4.0.patch: new patch, fixes FTBFS against Octave 4.0.
    (Closes: #792826)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Jul 2015 20:03:29 +0200

nlopt (2.4.2+dfsg-1) unstable; urgency=low

  * Install Octave files into private directories (Closes: #734044,
    thanks to Rafael Laboissiere)
  * Fix *.oct path in override_dh_shlibdeps
  * Call libtoolize with --force to update libtool.m4 (thanks
    to Matthias Klose)
  * Imported Upstream version 2.4.2+dfsg
  * Migrate to guile-2.0 (Closes: #746009)
  * Removed obsoleted patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 20 May 2014 23:27:49 +0400
