=== debian/control ===
--- 
+++ 
@@ -1,24 +1,29 @@
 Source: nlopt
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>,
+           Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
 Section: math
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sergey B Kirpichev <skirpichev@gmail.com>, Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
- autotools-dev, libtool, automake, g++ (>= 4.2), octave-pkg-dev (>= 1.0.1),
- python-all-dev (>= 2.6.6-3~), python-numpy, guile-1.8, guile-1.8-dev
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 11~),
+               dh-octave,
+               python-all-dev,
+               python-numpy,
+               guile-2.0,
+               guile-2.0-dev,
+               dh-exec
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/science-team/nlopt
+Vcs-Git: https://salsa.debian.org/science-team/nlopt.git
 Homepage: http://ab-initio.mit.edu/wiki/index.php/NLopt
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/nlopt
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/nlopt
 
 Package: libnlopt0
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: nonlinear optimization library
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -40,8 +45,11 @@
 
 Package: libnlopt-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnlopt0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: nonlinear optimization library -- development package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -60,10 +68,65 @@
  This package contains the header files, static libraries and symbolic
  links that developers using NLopt library will need.
 
+Package: libnlopt-cxx0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: nonlinear optimization library (C++ interface)
+ NLopt is a free/open-source library for nonlinear optimization, providing
+ a common interface for a number of different free optimization routines
+ available online as well as original implementations of various other
+ algorithms. Its features include:
+ .
+    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
+    * A common interface for many different algorithms
+    * Support for large-scale optimization.
+    * Both global and local optimization algorithms.
+    * Algorithms using function values only (derivative-free) and also
+      algorithms exploiting user-supplied gradients.
+    * Algorithms for unconstrained optimization, bound-constrained optimization,
+      and general nonlinear inequality/equality constraints.
+ .
+ This package provides the shared libraries required to run programs
+ compiled with NLopt in C++. To compile your own programs you also need to
+ install libnlopt-cxx-dev.
+
+Package: libnlopt-cxx-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libnlopt-dev (= ${binary:Version}),
+         libnlopt-cxx0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: nonlinear optimization library -- development package for C++
+ NLopt is a free/open-source library for nonlinear optimization, providing
+ a common interface for a number of different free optimization routines
+ available online as well as original implementations of various other
+ algorithms. Its features include:
+ .
+    * Callable from C, C++, Fortran, GNU Octave, Python, GNU Guile, GNU R.
+    * A common interface for many different algorithms
+    * Support for large-scale optimization.
+    * Both global and local optimization algorithms.
+    * Algorithms using function values only (derivative-free) and also
+      algorithms exploiting user-supplied gradients.
+    * Algorithms for unconstrained optimization, bound-constrained optimization,
+      and general nonlinear inequality/equality constraints.
+ .
+ This package contains the header files, static libraries and symbolic
+ links that developers using NLopt library with C++ will need.
+
 Package: python-nlopt
 Architecture: any
 Section: python
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: libnlopt0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends}
 Provides: ${python:Provides}
 Description: nonlinear optimization library -- Python bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
@@ -84,7 +147,11 @@
 
 Package: octave-nlopt
 Architecture: any
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Multi-Arch: same
+Depends: libnlopt0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         ${octave:Depends}
 Description: nonlinear optimization library -- GNU Octave package
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
@@ -103,11 +170,14 @@
  This package contains the module for the GNU Octave.
 
 Package: libnlopt-guile0
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: libnlopt0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+         guile-2.0
 Pre-Depends: ${misc:Pre-Depends}
-Depends: neurodebian-popularity-contest, libnlopt0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, guile-1.8
 Description: nonlinear optimization library -- Guile bindings
  NLopt is a free/open-source library for nonlinear optimization, providing
  a common interface for a number of different free optimization routines
